.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_ProgressBar:

ProgressBar
===========

**Inherits:** :ref:`Range<class_range>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

General purpose progress bar.

Member Functions
----------------

+--------------------------+-----------------------------------------------------------------------------------------------------------------+
| :ref:`bool<class_bool>`  | :ref:`is_percent_visible<class_ProgressBar_is_percent_visible>`  **(** **)** const                              |
+--------------------------+-----------------------------------------------------------------------------------------------------------------+
| void                     | :ref:`set_percent_visible<class_ProgressBar_set_percent_visible>`  **(** :ref:`bool<class_bool>` visible  **)** |
+--------------------------+-----------------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`bool<class_bool>` **percent_visible**

Description
-----------

General purpose progress bar. Shows fill percentage from right to left.

Member Function Description
---------------------------

.. _class_ProgressBar_is_percent_visible:

- :ref:`bool<class_bool>`  **is_percent_visible**  **(** **)** const

.. _class_ProgressBar_set_percent_visible:

- void  **set_percent_visible**  **(** :ref:`bool<class_bool>` visible  **)**


